#-----------------------------------------------------------------------
# implements Eq. (1.5) of Munk and Tecuapetla-Gómez (2015)
dbe <- function(h, data) { 
  mean(diff(data, h)^2) / 2
}
#-----------------------------------------------------------------------
# implements Eq. (1.6) of Munk and Tecuapetla-Gómez (2015)
gammaZeroEst <- function(m, d, data) { 
  n <- length(data)
  sum((data[1:(n - 2 * (m + 1))] - (1 + d) * data[(m + 2):(n - m - 1)] + d * data[(2 * m + 3):n])^2) /
    (2 * (1 + d + d^2) * (n - 2 * (m + 1)))    
}
#
#----------------------------------------------------------------------- 
# implements Eq. (1.7) of Munk and Tecuapetla-Gómez (2015)
gh <- function(m, h, d, data) {
  ifelse(h <= m, gammaZeroEst(m, d, data) - dbe(h, data), 0)
} 
#
#-----------------------------------------------------------------------
# computes first row of projection onto space of Toeplitz matrices
# see section 2.2.1 of Munk and Tecuapetla-Gómez (2015)
computeFirstRow <- function(matrix) {
  n <- ncol(matrix)
  firstRow <- numeric(n)

    for (i in 1:n) {
      for (j in 1:(n + 1 - i)) {
        firstRow[i] <- firstRow[i] + matrix[j, j - 1 + i]
      }
      firstRow[i] <- firstRow[i] / (n + 1 - i)
    }
  
  firstRow
}
#
#-----------------------------------------------------------------------
# tests a numeric for an integer value
is.wholenumber <- function(x, tol = .Machine$double.eps^0.5)  abs(x - round(x)) < tol  
