% Generated by roxygen2 (4.1.0): do not edit by hand
% Please edit documentation in R/selectM.R
\name{plot.selectM}
\alias{plot.selectM}
\title{Plot to select parameter \eqn{m} in change-point regression with
 \eqn{m}-dependent errors}
\usage{
\method{plot}{selectM}(x, xlim = c(1, x$lag.max), pch = 20, xlab = "h",
  ylab = expression(r[h]), main = paste("Selection of m on", ifelse(x$diff
  == TRUE, "(first diff.)", "(original)"), x$series), ...,
  colOneLine = "blue", colConfInt = "red", ltyOneLine = 3,
  ltyConfInt = 3)
}
\arguments{
\item{x}{an object of class "selectM".}

\item{xlim}{numeric vector of length 2 giving the x coordinates
                   range. \code{xlim[2]} must be smaller than \code{x$lag.max}.}

\item{pch}{plotting character, i.e., symbol to use. See
                   \code{\link[graphics]{points}}.}

\item{xlab}{the x label of the plot.}

\item{ylab}{the y label of the plot.}

\item{main}{an overall title for the plot.}

\item{...}{extra graphical parameters to be passed to plot.}

\item{colOneLine}{string indicating color of horizontal line passing at 1.}

\item{colConfInt}{string indicating color of lines limiting confidence
                   interval.}

\item{ltyOneLine}{type of line used to draw horizontal line passing at 1.}

\item{ltyConfInt}{type of lines used to draw limiting lines of confidence
                    interval.}
}
\description{
Plots sequence of ratios of difference-based estimators given by
 \code{\link[dbacf]{selectM}}.
}
\seealso{
\code{\link[dbacf]{selectM}}.
}

