library(dbacf)

set.seed(1)
noise <- as.numeric(arima.sim(150, model = list(ma= c(0.5, 0.5)), sd = 1))
set.seed(NULL)

ratio <- numeric( sqrt(length(noise)))
d <- 2
for (i in 1:length(ratio)) {
  den <- mean(diff(noise, i)^2) / 2
  n <- length(noise)  
  num <-   sum((noise[1:(n - 2 * (i + 1))] - (1 + d) * noise[(i + 2):(n - i - 1)] + d * noise[(2 * i + 3):n])^2) /
    (2 * (1 + d + d^2) * (n - 2 * (i + 1)))    
  ratio[i] <- den / num
}

ratioSelectM <- selectM(noise, d = d,  plot = FALSE, diff = FALSE)$ratio

stopifnot(all.equal(ratio, ratioSelectM, tol = 1e-12))